Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class AbstractOWServiceHandler

    java.lang.Object
      org.deegree.enterprise.servlet.AbstractOWServiceHandler

All Implemented Interfaces:
  ServiceDispatcher

Direct Known Subclasses:
  CSWHandler, SOSHandler, WASSHandler, WCSHandler, WCTSHandler, WFSHandler, WMPSHandler, WMSHandler, WPSHandler, WPVSHandler

    abstract class AbstractOWServiceHandler

extends Object
implements ServiceDispatcher

This class provides methods that are common to all services that comply to the OWS Common Implementation Specification 0.3.0.

At the moment, the only implemented functionality allows the sending of exception reports to the client, but in the future this may be extended by providing a method that sends responses to GetCapabilities requests.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`AbstractOWServiceHandler()`

Method Summary
`void` | `sendException(javax.servlet.http.HttpServletResponse httpResponse, Exception serviceException)` Sends an exception report to the client.
`void` | `sendException(javax.servlet.http.HttpServletResponse httpResponse, OGCWebServiceException serviceException)` Sends an exception report to the client.
`void` | `sendExceptionReport(javax.servlet.http.HttpServletResponse response, Exception exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.enterprise.servlet.ServiceDispatcher
`perform`

Constructor Detail

### AbstractOWServiceHandler

    AbstractOWServiceHandler()

Method Detail

### sendException

    public void sendException(javax.servlet.http.HttpServletResponse httpResponse,
                              OGCWebServiceException serviceException)

  Sends an exception report to the client. The exception report complies to the OWS Common Implementation Specification 0.3.0.

  Parameters:
    `httpResponse` -
    `serviceException` -

### sendException

    public void sendException(javax.servlet.http.HttpServletResponse httpResponse,
                              Exception serviceException)

  Sends an exception report to the client. The exception report complies to the OWS Common Implementation Specification 0.3.0.

  Parameters:
    `httpResponse` -
    `serviceException` -

### sendExceptionReport

    public void sendExceptionReport(javax.servlet.http.HttpServletResponse response,
                                    Exception exception)

  Parameters:
    `response` -
    `exception` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org